package com.wily.powerpack.oracle.util;

public class DBConnectionData
{

    public DBConnectionData()
    {
        empty = "unset";
        driver = empty;
        dbType = empty;
        connectionType = empty;
        hostname = empty;
        port = empty;
        db = empty;
        username = empty;
        password = empty;
        connectionString = empty;
    }

    public DBConnectionData(String driver, String dbType, String connectionType, String hostname, String port, String db, String username, 
            String password)
    {
        empty = "unset";
        this.driver = driver;
        this.dbType = dbType;
        this.connectionType = connectionType;
        this.hostname = hostname;
        this.port = port;
        this.db = db;
        this.username = username;
        this.password = password;
    }

    public String getConnectionString()
    {
        if (connectionType.equals("thin")) {
			return (new StringBuilder(String.valueOf(driver))).append(":").append(dbType).append(":").append(connectionType).append(":@").append(hostname).append(":").append(port).append(":").append(db).toString();}
		else if (connectionType.equals("oci")) {
			return (new StringBuilder(String.valueOf(driver))).append(":").append(dbType).append(":").append(connectionType).append(":@").append(hostname).toString();} 
		else {
			return (new StringBuilder(String.valueOf(driver))).append(":").append(dbType).append(":").append(connectionType).append(":@").append(hostname).append(":").append(port).append(":").append(db).toString();} // assume thin if not set
    }

    public String getDriver()
    {
        return driver;
    }

    public void setDriver(String driver)
    {
        this.driver = driver;
    }

    public String getDbType()
    {
        return dbType;
    }

    public void setDbType(String dbType)
    {
        this.dbType = dbType;
    }

    public String getConnectionType()
    {
        return connectionType;
    }

    public void setConnectionType(String connectionType)
    {
        this.connectionType = connectionType;
    }

    public String getHostname()
    {
        return hostname;
    }

    public void setHostname(String hostname)
    {
        this.hostname = hostname;
    }

    public String getPort()
    {
        return port;
    }

    public void setPort(String port)
    {
        this.port = port;
    }

    public String getDb()
    {
        return db;
    }

    public void setDb(String db)
    {
        this.db = db;
    }

    public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getPassword()
    {
        return password;
    }

    public void setPassword(String password)
    {
        this.password = password;
    }

    String empty;
    String driver;
    String dbType;
    String connectionType;
    String hostname;
    String port;
    String db;
    String username;
    String password;
    String connectionString;
}
